diff --git a/scripts/GenMsgCXX.py b/scripts/GenMsgCXX.py
index 24fe7f7..cd9971a 100644
--- a/scripts/GenMsgCXX.py
+++ b/scripts/GenMsgCXX.py
@@ -1,4 +1,6 @@
+#!/usr/bin/python
 # -*- coding: utf-8 -*-
+
 ## ----------------------------------------------------------------------------
 ## CERTI - HLA RunTime Infrastructure
 ## Copyright (C) 2002-2005  ONERA
@@ -25,88 +27,97 @@
 The CERTI Message Generator.
 C++ Backend Generator
 """
+
 import logging
 import GenMsgAST
-import GenMsgBase    
+import GenMsgBase
 import sys
-import os   
-            
-class CXXCERTIGenerator(GenMsgBase.CodeGenerator):    
+import os
+
+
+class CXXCERTIGenerator(GenMsgBase.CodeGenerator):
+
     """
     This is a C++ generator for C{MessageAST}.
     
     """
-    
+
     def generatorName(cls):
-        return "CXX"
+        return 'CXX'
+
     generatorName = classmethod(generatorName)
-    
-    
-    def __init__(self,MessageAST):
-        super(CXXCERTIGenerator,self).__init__(MessageAST,"//")
+
+    def __init__(self, MessageAST):
+        super(CXXCERTIGenerator, self).__init__(MessageAST, '//')
         self.included = dict()
         self.typedefed = dict()
-        self.builtinTypeMap = {'onoff'    : 'bool',
-                               'bool'     : 'bool',
-                               'string'   : 'std::string',
-                               'byte'     : 'uint8_t',
-                               'int8'     : 'int8_t',
-                               'uint8'    : 'uint8_t',
-                               'int16'    : 'int16_t',
-                               'uint16'   : 'uint16_t',
-                               'int32'    : 'int32_t',
-                               'uint32'   : 'uint32_t',   
-                               'int64'    : 'int64_t',
-                               'uint64'   : 'uint64_t',
-                               'float'    : 'float',
-                               'double'   : 'double',}
-        self.serializeTypeMap = {'onoff'    : 'write_bool',
-                               'bool'     : 'write_bool',
-                               'string'   : 'write_string',
-                               'byte'     : 'write_byte',
-                               'int8'     : 'write_int8',
-                               'uint8'    : 'write_uint8',
-                               'int16'    : 'write_int16',
-                               'uint16'   : 'write_uint16',
-                               'int32'    : 'write_int32',
-                               'uint32'   : 'write_uint32',   
-                               'int64'    : 'write_int64',
-                               'uint64'   : 'write_uint64',
-                               'float'    : 'write_float',
-                               'double'   : 'write_double',}
-        self.deserializeTypeMap = {'onoff'    : 'read_bool',
-                               'bool'     : 'read_bool',
-                               'string'   : 'read_string',
-                               'byte'     : 'read_byte',
-                               'int8'     : 'read_int8',
-                               'uint8'    : 'read_uint8',
-                               'int16'    : 'read_int16',
-                               'uint16'   : 'read_uint16',
-                               'int32'    : 'read_int32',
-                               'uint32'   : 'read_uint32',   
-                               'int64'    : 'read_int64',
-                               'uint64'   : 'read_uint64',
-                               'float'    : 'read_float',
-                               'double'   : 'read_double',}
-        self.__languageName="C++"
+        self.builtinTypeMap = {
+            'onoff': 'bool',
+            'bool': 'bool',
+            'string': 'std::string',
+            'byte': 'uint8_t',
+            'int8': 'int8_t',
+            'uint8': 'uint8_t',
+            'int16': 'int16_t',
+            'uint16': 'uint16_t',
+            'int32': 'int32_t',
+            'uint32': 'uint32_t',
+            'int64': 'int64_t',
+            'uint64': 'uint64_t',
+            'float': 'float',
+            'double': 'double',
+            }
+        self.serializeTypeMap = {
+            'onoff': 'write_bool',
+            'bool': 'write_bool',
+            'string': 'write_string',
+            'byte': 'write_byte',
+            'int8': 'write_int8',
+            'uint8': 'write_uint8',
+            'int16': 'write_int16',
+            'uint16': 'write_uint16',
+            'int32': 'write_int32',
+            'uint32': 'write_uint32',
+            'int64': 'write_int64',
+            'uint64': 'write_uint64',
+            'float': 'write_float',
+            'double': 'write_double',
+            }
+        self.deserializeTypeMap = {
+            'onoff': 'read_bool',
+            'bool': 'read_bool',
+            'string': 'read_string',
+            'byte': 'read_byte',
+            'int8': 'read_int8',
+            'uint8': 'read_uint8',
+            'int16': 'read_int16',
+            'uint16': 'read_uint16',
+            'int32': 'read_int32',
+            'uint32': 'read_uint32',
+            'int64': 'read_int64',
+            'uint64': 'read_uint64',
+            'float': 'read_float',
+            'double': 'read_double',
+            }
+        self.__languageName = 'C++'
         self.replacePrefix = None
-        self.exportPrefix = ""
-        self.serializeBufferType = "libhla::MessageBuffer"
-        self.messageTypeGetter = "getType()"
-        self.exception = ["std::string"]
+        self.exportPrefix = ''
+        self.serializeBufferType = 'libhla::MessageBuffer'
+        self.messageTypeGetter = 'getType()'
+        self.exception = ['std::string']
 
-    def getTargetTypeName(self,name):
+    def getTargetTypeName(self, name):
         if name in self.builtinTypeMap.keys():
             return self.builtinTypeMap[name]
         else:
-            t=self.AST.getType(name)
-        if isinstance(t,GenMsgAST.EnumType):
-            prefix=self.AST.name.split(".")[0]+"::"
-            return prefix+name
+            t = self.AST.getType(name)
+        if isinstance(t, GenMsgAST.EnumType):
+            prefix = self.AST.name.split('.')[0] + '::'
+            return prefix + name
         else:
             return name
 
-    def getRepresentationFor(self,name):
+    def getRepresentationFor(self, name):
         for native in self.AST.natives:
             if name == native.name:
                 representation = native.getRepresentation()
@@ -114,7 +125,7 @@ class CXXCERTIGenerator(GenMsgBase.CodeGenerator):
                     return representation
         return None
 
-    def getSerializeMethodName(self,name):
+    def getSerializeMethodName(self, name):
         if name in self.serializeTypeMap.keys():
             return self.serializeTypeMap[name]
         else:
